%exmaple function calls for physiological noise correction of fMRI datasets
%author: Kun Lu <kunlu@ucsd.edu>
%Date: 07/28/2005

%--------------------------------------
%    BLOCK DESIGN
%--------------------------------------

%  -BOLD data (Default: correct for cardaic and respiratory effort)

physio('example_BOLD','example_real_dataProc.txt','example_BOLD_Corr',0,[32 20 40 4 0],2,'raw');

%or 
%physio('example_BOLD','example_real_dataProc.txt','example_BOLD_Corr','example_ref.txt',2,'raw');

%
%  -ASL data (Default: correct for cardaic and respiratory effort)

physio('example_ASL','example_real_dataProc.txt','example_ASL_Corr',0,[32 20 40 4 0],2,'d3');

%or 
%physio('example_ASL','example_real_dataProc.txt','example_ASL_Corr','example_ref.txt',2,'d3');

%--------------------------------------
%    EVENT-RELATED DESIGN (BOLD ONLY)
%--------------------------------------
%  Default: generate cardaic and respiratory effort regressors

physioER('example_ER','example_real_dataERProc.txt','example_Preg',0,2);


